<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	
	<html>
	<head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css" />
	</head>
	
	<body MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
		<table width="100%" height="100%" 	border="0" cellpadding="0" cellspacing="0" class="main-bg">
			<tr><td height="212">
			<table width="100%" height="212" border="0" cellpadding="0" cellspacing="0" background="images/header_bg.gif">
				<tr>
					<td>
						<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" align="center">
							<tr>
								<td align="center" style="background:url(images/logo_bg.gif) no-repeat right bottom;">
									<!-- HEADER -->
									<table width="0" border="0" cellspacing="0" cellpadding="4">
										<tr>
											<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
											<td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
										</tr>
										<tr>
											<td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
										</tr>
									</table>
									<div style="width:240px;"/>
									<!-- END HEADER -->
								</td>
								<td width="527"><img src="images/header.jpg" width="527" height="212" /></td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
				
			</td></tr>
			<tr><td height="45">
						
			<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" style="background : url(images/topmenu_bg.gif) repeat bottom ;">
				<tr>
					<td>
					
						<!-- MENU -->
						<table height="100%" border="0" cellpadding="0" cellspacing="0" align="center">
						
							<tr>
								<td width="30"></td>
								<td>
										<!--CALL TOP-MENU -->
										<xsl:call-template name="TOP-MENU"/>
								</td>					
							</tr>
						</table>
						<!-- END MENU -->	
						
					</td>
				</tr>
			</table>			
				
			</td></tr>
			<tr><td valign="top">
						
			<div style="height:30px;"/>
			
			<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td valign="top">
					
						<table width="100%" border="0" cellpadding="0" cellspacing="0" align="center">
							<tr>
								<td width="260" align="center" valign="top">
					
									<table width="180" border="0" cellpadding="0" cellspacing="0" class="submenu-bg" style="background-image: url(images/submenu_bg.gif); background-position: top right; background-repeat: no-repeat;">
										<tr>
											<td height="32" class="main-bg" style="background-image: url(images/submenu_bg.gif); background-position: top right; background-repeat: no-repeat;"></td>
										</tr>	
										<tr>
											<td>
												<!--2ndmenu /-->
												<!-- CALL SUB-MENU -->
												<xsl:call-template name="SUB-MENU">
												<xsl:with-param name="pageID" select="@ID"/>
												</xsl:call-template>
												<!--/ 2ndmenu-->	
											</td>
										</tr>	
									</table>
									
								</td>
			
								<td valign="top" align="left">
					
									<!-- CONTENT -->
									<table border="0" cellspacing="0" cellpadding="0" align="left">
										<tr>
											<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
											<td><img src="images/txtheader_bullet.gif" width="19" height="19" /></td>
										</tr>
									</table>
						
									<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="left" style="clear:both;">
										<tr>
											<td class="pageContent" name="SB_stretch">
											<!-- CONTENT -->
											<xsl:apply-templates select="PAGE-CONTENT"/>
											<!-- END CONTENT -->
											</td>
										</tr>
									</table>
									<!-- END CONTENT -->
						
								</td>
							</tr>
						</table>
						
					</td>				
				</tr>
			</table>	
			
			</td></tr>
			<tr><td height="80">

			<table width="100%"  border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td align="center" height="20" ></td>
				</tr>
				<tr>
					<td align="center" height="1" bgcolor="#f3ece5"></td>
				</tr>
				<tr>
					<td height="40" align="center">		
						<table width="100%" height="40" border="0" cellpadding="0" cellspacing="0">
								<!-- CALL BOTTOM-MENU -->
								<xsl:call-template name="BOTTOM-MENU"/>
						</table>
					</td>
				</tr>
				<tr height="40">
					<td align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
				</tr>
			</table>
			
			</td></tr>
		</table>
		
		</body>
	</html>



</xsl:template>


<!--TOP-MENU-->
<xsl:template name="TOP-MENU">
	<table border="0" cellpadding="0" cellspacing="0" >
		<tr>
			<xsl:apply-templates select="MENU" mode="top"/>
		</tr>
	</table>
</xsl:template>

	<!--SUB-MENU-->  
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
		
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
				<table width="100%" border="0" cellspacing="0" cellpadding="0">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
				</table>
			</xsl:when>
			
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
       	<table width="100%" border="0" cellspacing="0" cellpadding="0">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
				</table>
			</xsl:when>
			
		<xsl:otherwise></xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<!--BOTTOM-MENU-->
	<xsl:template name="BOTTOM-MENU">
	<tr>
		<td align="center">
			<xsl:apply-templates select="MENU" mode="bottom"/>
		</td>
	</tr>    
	</xsl:template>


	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>


	<xsl:template match="MENU-ITEM"  mode="bottom">
		<xsl:choose>
      <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
					<a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
				</xsl:when>
			<!-- when active-->
        <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
					<span href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span>
        </xsl:when>
      <xsl:otherwise>
				<a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
      </xsl:otherwise>
    </xsl:choose>
   		
   	<xsl:if test="position()!=last()"><span style="clear:both;font-size:9pt;color:#cdb197;"> | </span></xsl:if>
	</xsl:template>

	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
