<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
<html>
<head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
</head>

<body TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0" >
<table width="100%"  border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="16px" height="85px" background="images/logo_bg.gif"></td>
    <td width="240px" background="images/logo_bg.gif"><div style="width:240px;">
      <table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr>
		<!--LOGO-->
          <td width="44px" height="44px"><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td>
          <td style="padding-left:10px; "><table width="100%"  border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
            </tr>
            <tr>
              <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
            </tr>
          </table></td>
		  <!--END LOGO-->
        </tr>
      </table></div>
    </td>
    <td width="4px" background="images/hr.gif"></td>
    <td background="images/content_bg.gif" style="padding-left:27px;padding-right:27px;">
      <table  border="0" cellspacing="0" cellpadding="0">
        <tr>
		<!--MENU-->
          
		 <xsl:call-template name="TOP-MENU"/>
		  <!--END MENU-->
        </tr>
      </table>
    </td>
    <td width="15px" background="images/content_bg.gif"></td>
  </tr>
  <tr>
    <td width="16px" height="658px" rowspan="2" background="images/sumenu_bg.gif"></td>
    <td width="240px" height="157px" background="images/sumenu_bg.gif" valign="top" style="padding-top:13px;padding-left:15px;padding-right:35px; "><table width="140px"  border="0" cellspacing="0" cellpadding="0">
      <!--SUBMENU-->
      <xsl:call-template name="SUB-MENU">
               			      <xsl:with-param name="pageID" select="@ID"/>                            </xsl:call-template>
          
      <!--END SUBMENU-->
    </table>
      </td>
    <td width="4px" height="658px" rowspan="2" background="images/hr.gif"></td>
    <td height="658px" rowspan="2" background="images/content_bg.gif" valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="224px" align="left"><img src="images/header.jpg" width="495px" height="224px"/></td>
      </tr>
      <tr>
	  <!--CONTENT-->
        <td height="434px" valign="top" style="padding-left:27px;padding-right:27px; "><table border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td height="40px" class="text-header" align="left"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            <td width="17px" style="padding-left:8px;"><img src="images/txtheader_bullet.gif" width="17px" height="17px"/></td>
          </tr>
        </table>
           <table width="100%"  border="0" cellspacing="0" cellpadding="0">
			<tr>
			<td class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
			</tr>
			</table>
			</td>
		  <!--END CONTENT-->
      </tr>
    </table></td>
    <td width="15px" height="658px" rowspan="2" background="images/content_bg.gif"></td>
  </tr>
  <tr>
    <td height="329px" valign="bottom" background="images/sumenu_bg.gif">
	<table width="100%"  border="0" cellspacing="0" cellpadding="0">
	<tr>
        <td height="80px" align="right"><img src="images/submenu_bottom.gif" width="240px" height="80px"/></td>
      </tr>
      <tr>
        <td height="420px" align="right"><img src="images/left_bg.gif" width="240px" height="420px"/></td>
      </tr>
    </table>
	</td>
  </tr>
  <tr>
    <td width="16px" height="58px" background="images/logo_bg.gif"></td>
	<!--FOOTER-->
    <td width="240px" height="58px" background="images/logo_bg.gif" class="footer" style="padding-left:10px "><div style="width:240px;"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div></td>
	<!--END FOOTER-->
    <td width="4px" height="58px" background="images/hr.gif"></td>
    <td height="58px" background="images/content_bg.gif"></td>
    <td width="15px" height="58px" background="images/content_bg.gif"></td>
  </tr>
</table>
</body>
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
		<tr>
            <td width="20px" align="center" style="padding-top:10px;padding-bottom:10px;"><img src="images/submenu_bullet.gif" width="7px" height="7px" border="0"/></td>
            <td width="120px" class="asubmenu" style="padding-top:10px;padding-bottom:10px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
          </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
			<tr>
            <td width="20px" align="center" style="padding-top:10px;padding-bottom:10px;"><a href="{@HREF}"><img src="images/submenu_bullet.gif" width="7px" height="7px" border="0"/></a></td>
            <td width="120px" style="padding-top:10px;padding-bottom:10px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
          </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	<tr>
        <td height="1px" colspan="2" align="center" background="images/submenu_hr.gif"><img src="images/submenu_hr.gif" width="170px" height="1px"/></td>
    </tr>
		</xsl:if>
</xsl:template>


	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>